For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTAdd/Edit Bank Details
      • PATCHChange the auto-withdrawal setting
      • POSTCreate a bank transfer method
      • DELDelete Bank Details
      • POSTDynamic Requirements
      • GETFetch all payout methods
      • GETGet Bank Details
      • GETGet bank transfer requirements
      • GETGet bank transfer supported routes for contractor
      • GETGet the auto-withdrawal setting
      • GETList Contractor Balances
      • POSTRequest to withdraw funds
      • PUTUpdate a bank transfer method
      • POSTUpdate auto withdraw setting for contractor
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsPayouts

Add/Edit Bank Details

POST
/payouts/employees/methods
POST
/rest/v2/payouts/employees/methods
$curl -X POST https://api.letsdeel.com/rest/v2/payouts/employees/methods \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
> "payload": {
> "city": "City",
> "iban": "IT60X0542811101000000123456",
> "postal": "102030",
> "bank_name": "BANK NAME",
> "full_name": "FULL NAME",
> "swift_bic": "FIXXXXFI",
> "country_code": "IT",
> "address_line1": "Address Line",
> "original_name": "EDITED ORIGINAL NAME",
> "province_state": "Province",
> "bank_country_code": "IT"
> }
> }
>}'
1{
2 "data": {
3 "id": "230e7bf0-6c3e-426a-992c-7cff124561ff",
4 "data": {
5 "city": "City",
6 "iban": "IT60X0542811101000000123456",
7 "postal": "102030",
8 "bank_name": "BANK NAME",
9 "full_name": "FULL NAME",
10 "swift_bic": "FIXXXXFI",
11 "country_code": "IT",
12 "address_line1": "Address Line",
13 "original_name": "ORIGINAL NAME",
14 "province_state": "Province",
15 "bank_country_code": "IT"
16 },
17 "status": "APPROVED",
18 "version": "f278fcff-0ffb-420c-8207-929b926638a0",
19 "created_at": "2024-11-28T11:56:54.057Z",
20 "updated_at": "2024-11-28T11:56:54.091Z",
21 "is_active_version": true,
22 "funds_distribution": 100
23 }
24}

Creates or updates an employee’s bank payout method. If a method already exists, the existing record is superseded and the response includes a version identifier and activation status reflecting the updated state. Token scopes: worker:read, worker:write

Was this page helpful?
Previous

Change the auto-withdrawal setting

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectOptional
Request data

Response

Add Bank Details / Edit Bank Details

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication